/*
***************************************************************
*                                                             *
*                           NOTICE                            *
*                                                             *
*   THIS SOFTWARE IS THE PROPERTY OF AND CONTAINS             *
*   CONFIDENTIAL INFORMATION OF INFOR AND/OR ITS              *
*   AFFILIATES OR SUBSIDIARIES AND SHALL NOT BE DISCLOSED     *
*   WITHOUT PRIOR WRITTEN PERMISSION. LICENSED CUSTOMERS MAY  *
*   COPY AND ADAPT THIS SOFTWARE FOR THEIR OWN USE IN         *
*   ACCORDANCE WITH THE TERMS OF THEIR SOFTWARE LICENSE       *
*   AGREEMENT. ALL OTHER RIGHTS RESERVED.                     *
*                                                             *
*   (c) COPYRIGHT 2023 INFOR.  ALL RIGHTS RESERVED.           *
*   THE WORD AND DESIGN MARKS SET FORTH HEREIN ARE            *
*   TRADEMARKS AND/OR REGISTERED TRADEMARKS OF INFOR          *
*   AND/OR ITS AFFILIATES AND SUBSIDIARIES. ALL               *
*   RIGHTS RESERVED.  ALL OTHER TRADEMARKS LISTED HEREIN ARE  *
*   THE PROPERTY OF THEIR RESPECTIVE OWNERS.                  *
*                                                             *
***************************************************************
*/
/* variables that should match control styling */
/* should match the background color of tabsets */
div.inforModuleHeaderLeft {
  padding-left: 5px !important; }

div.infor2ColumnLayout {
  margin: 0; }

button.inforHyperlink, input.inforHyperlink {
  background-color: transparent;
  border: 0; }

/* ensures spinning loading indicator is pushed left in IE8 */
div.inforBusyIndicator.small {
  left: 0 !important;
  top: 7px !important; }

/* IE8 opacity */
.overlay, .inforOverlay {
  opacity: .5 !important; }

/*
 * used in confighost.js / hotkeys.htm / searchdlg.js
 */
fieldset.inforFieldSet div.content {
  padding: 0 12px; }

table.fieldSetTable {
  table-layout: fixed;
  width: 100%;
  border: 0; }
  table.fieldSetTable td, table.fieldSetTable th {
    padding: 6px 3px;
    text-align: left;
    word-wrap: break-word;
    font-size: 1.2rem; }
  table.fieldSetTable th label {
    font-weight: bold; }

/* confighost container */
#tableDiv .inforFieldSet {
  margin-bottom: 30px; }

table.borderedTable {
  width: 100%;
  border-collapse: collapse;
  font-size: 1.4rem; }
  table.borderedTable th {
    border-left: none;
    text-align: left; }
    table.borderedTable th span {
      font-weight: bold;
      padding: 5px; }
  table.borderedTable tr:first-child td {
    border-top: none; }
  table.borderedTable td {
    padding: 5px;
    border-top: 1px solid lightgrey;
    border-left: 1px solid lightgrey; }
    table.borderedTable td:first-child {
      border-left: none; }

.borderlessTable td {
  border: none !important; }

.borderlessTable th {
  border: none !important; }

.inforDataGrid .slick-cell .inforBusyIndicator.small {
  background-size: contain; }

/* start control overlapping workaround */
div.inforTriggerField input.inforTextbox {
  padding-right: 0; }

div.inforTriggerField button.inforTriggerButton {
  margin-left: 0; }

div.field-short input.prtlDrillDown {
  padding-right: 20px; }
  div.field-short input.prtlDrillDown + button.trigger {
    margin-left: -22px;
    margin-top: 2px; }

div.field-short .icon-error {
  visibility: hidden;
  margin-left: -18px !important; }

div.field-short[data-control-width="1"] div.dropdown {
  text-overflow: unset; }

/* end control overlapping workaround */
html[dir="rtl"] div.inforBusyIndicator.small {
  right: 0 !important; }

html[dir="rtl"] table.fieldSetTable td, html[dir="rtl"] table.fieldSetTable th {
  text-align: right; }

html[dir="rtl"] input.dropdown {
  padding-right: 2px !important;
  padding-left: 19px !important; }

html[dir="rtl"] div.inforTriggerField input.inforTextbox {
  padding-left: 0; }

html[dir="rtl"] div.inforTriggerField button.inforTriggerButton {
  margin-right: 0; }

html[dir="rtl"] div.field-short input.prtlDrillDown {
  padding-right: 5px;
  padding-left: 1px; }
  html[dir="rtl"] div.field-short input.prtlDrillDown + button.trigger {
    margin-right: -20px;
    margin-top: 2px; }

html[dir="rtl"] div.dropdown-list.text-align-reverse {
  text-align: right !important; }

div.buttonset span.separator.prtlSplitButtonSeparator {
  height: 15px;
  top: 10px; }

div.buttonset button.go-button {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0; }

.tab-container.tab-borders {
  margin-top: 0 !important; }
  .tab-container.tab-borders::after {
    width: 0 !important; }

input {
  text-overflow: clip !important; }

.tab-panel-container {
  margin-bottom: 0 !important; }

.tab-list-container {
  position: relative !important; }

div.dropdown-list.text-align-reverse {
  text-align: left !important; }

.dropdown-list.text-align-reverse li {
  padding: 0 !important; }

#listview .datagrid-header-icon {
  height: 12px !important;
  margin-left: 0px !important; }

.is-safari .datagrid-container.small-rowheight .datagrid-header .datagrid-filter-wrapper .datepicker + .trigger,
.is-safari .datagrid-container.small-rowheight .datagrid-header .datagrid-filter-wrapper .timepicker + .trigger, .is-safari .datagrid-container.extra-small-rowheight .datagrid-header .datagrid-filter-wrapper .datepicker + .trigger,
.is-safari .datagrid-container.extra-small-rowheight .datagrid-header .datagrid-filter-wrapper .timepicker + .trigger {
  top: -9px !important;
  margin-left: -22px; }

.floatLeft {
  float: left !important; }

.floatRight {
  float: right; }

html[dir='rtl'] .floatRight {
  float: left; }

html[dir='rtl'] .floatLeft {
  float: right !important; }

/* disables selection of text/html */
.noSelection {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none; }

/*
 * used with inforLabel
 */
label.fontBold {
  font-weight: bold; }

label.floatNone {
  float: none !important; }

label.displayInline {
  display: inline !important; }

label.whiteSpaceNormal {
  white-space: normal !important; }

label.widthAuto {
  width: auto !important; }

.boxsizeBorderbox {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box; }

div.portalFieldset div.content {
  padding: 1em !important; }
  div.portalFieldset div.content p {
    margin: 0 12px 10px 0; }
  div.portalFieldset div.content img {
    /* arrow icon */
    margin-top: 5px; }

div.portalFieldset a.inforHyperlink {
  padding: 0; }

html[dir="rtl"] div.portalFieldset div.content img {
  /* flip arrow icon */
  -moz-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
  filter: FlipH;
  -ms-filter: "FlipH"; }

/* custom listbox */
.fileBox {
  border: 1px solid #999999 !important; }
  .fileBox > div {
    cursor: pointer;
    color: black;
    height: 20px;
    line-height: 20px; }
  .fileBox > div.selected {
    background-color: #C5D0D8; }
  .fileBox img {
    padding: 0 8px;
    vertical-align: middle; }

/*
 * bookmark manager and content
 */
div.findContainer {
  z-index: 100; }

div.contentLeft {
  border-right: #6699cc solid 1px;
  border-bottom: #6699cc solid 1px;
  overflow: auto; }

/*
 * used in form help and print.htm
 */
.ptFormTitle {
  font-weight: bold;
  font-size: 20px;
  margin-left: 20px; }

/*
 * used in viewlog and drill
 */
.ptFixed {
  font-family: Lucida Console, Monaco, Courier New, Courier;
  font-size: 1.4rem; }

/*
 * filter object, bookmark manager, toolbar
 */
.leftBarSelect {
  font-family: Tahoma, Arial, sans-serif;
  font-size: 8pt;
  font-weight: bold; }

.fill-below-toolbar {
  height: calc(100% - 46px) !important; }

/**
* Tabs won't render the floating blue bar beneath the selected tab in the correct place if display:none;
* messes with sizing measurements, so use opacity. Can't use visibility:hidden; because visibility:visible;
* on a child element like the toolbar will still display though the parent is hidden.
 */
.prtlLoadingHidden {
  opacity: 0;
  transition: opacity 0s; }

/**
*   class to preserve newlines in localdialogs
*/
.portalDialog.whiteSpacePre {
  white-space: pre; }

div.datagrid-contained {
  height: 100%; }

div.jobGridFooter {
  height: 35px;
  width: 100%;
  text-align: center;
  bottom: 0;
  position: fixed; }
  div.jobGridFooter > button {
    width: 150px;
    vertical-align: middle; }

#reportTable, #jobScheduleTable, #joblistTable {
  height: 100% !important; }
  #reportTable + ul.pager-toolbar, #jobScheduleTable + ul.pager-toolbar, #joblistTable + ul.pager-toolbar {
    display: none; }
